Functions
FLAG_Management
Peripheral Driver » LL Driver » UART » Functions

## Functions
__STATIC_INLINE uint32_t | ll_uart_get_line_status_flag (uart_regs_t *UARTx)
| Get UART Receive Line Status Flag. More...
__STATIC_INLINE void | ll_uart_clear_line_status_flag (uart_regs_t *UARTx)
| Clear UART Receive Line Status Flag. More...
__STATIC_INLINE uint32_t | ll_uart_is_active_flag_rff (uart_regs_t *UARTx)
| Check if the UART Receive FIFO Full Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_uart_is_active_flag_rfne (uart_regs_t *UARTx)
| Check if the UART Receive FIFO Not Empty Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_uart_is_active_flag_tfe (uart_regs_t *UARTx)
| Check if the UART Transmit FIFO Empty Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_uart_is_active_flag_tfnf (uart_regs_t *UARTx)
| Check if the UART Transmit FIFO Not Full Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_uart_get_it_flag (uart_regs_t *UARTx)
| Get UART interrupt flags. More...

## Detailed Description

## Function Documentation

## ◆ ll_uart_clear_line_status_flag()

__STATIC_INLINE void ll_uart_clear_line_status_flag | ( | uart_regs_t * | UARTx | ) |

Clear UART Receive Line Status Flag.

Note
  OE/PE/FE/BI/RFE flags can be cleared by reading LSR register.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | LSR | OE | +———————-+———————————–+ \endrst LSR | PE LSR | FE LSR | BI LSR | RFE

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1387 of file gr55xx_ll_uart.h.

## ◆ ll_uart_get_it_flag()

__STATIC_INLINE uint32_t ll_uart_get_it_flag | ( | uart_regs_t * | UARTx | ) |

Get UART interrupt flags.

Note
  The interrupt flags will be cleared after reading IIR. If interrupt was triggered when reading IIR register, the interrupt will be pended, and No Interrupt Pending Flag will be RESET, read IIR again can get the pended interrupt

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IIR | IID | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  Returned | value can be one or combination of the following values: LL_UART_IIR_MS LL_UART_IIR_NIP LL_UART_IIR_THRE LL_UART_IIR_RDA LL_UART_IIR_RLS LL_UART_IIR_CTO

Definition at line 1493 of file gr55xx_ll_uart.h.

## ◆ ll_uart_get_line_status_flag()

__STATIC_INLINE uint32_t ll_uart_get_line_status_flag | ( | uart_regs_t * | UARTx | ) |

Get UART Receive Line Status Flag.

Note
  This function is used to get OE/PE/FE/BI/THRE/TEMT/RFE flags in LSR register. After LSR register was read, OE/PE/FE/BI/RFE flags will be cleared.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | LSR | OE | +———————-+———————————–+ \endrst LSR | PE LSR | FE LSR | BI LSR | THRE LSR | TEMT LSR | RFE

Parameters

  UARTx | UART instance

Return values

  Returned | value can be a combination of the following values: LL_UART_LSR_OE LL_UART_LSR_PE LL_UART_LSR_FE LL_UART_LSR_BI LL_UART_LSR_THRE LL_UART_LSR_TEMT LL_UART_LSR_RFE

Definition at line 1363 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_active_flag_rff()

__STATIC_INLINE uint32_t ll_uart_is_active_flag_rff | ( | uart_regs_t * | UARTx | ) |

Check if the UART Receive FIFO Full Flag is set or not.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USR | RFF | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1408 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_active_flag_rfne()

__STATIC_INLINE uint32_t ll_uart_is_active_flag_rfne | ( | uart_regs_t * | UARTx | ) |

Check if the UART Receive FIFO Not Empty Flag is set or not.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USR | RFNE | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1427 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_active_flag_tfe()

__STATIC_INLINE uint32_t ll_uart_is_active_flag_tfe | ( | uart_regs_t * | UARTx | ) |

Check if the UART Transmit FIFO Empty Flag is set or not.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USR | TFE | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1446 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_active_flag_tfnf()

__STATIC_INLINE uint32_t ll_uart_is_active_flag_tfnf | ( | uart_regs_t * | UARTx | ) |

Check if the UART Transmit FIFO Not Full Flag is set or not.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USR | TFNF | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1465 of file gr55xx_ll_uart.h.